'use strict';

var pluginAuthNode = require('@backstage/plugin-auth-node');
var zod = require('zod');

exports.oauth2ProxySignInResolvers = void 0;
((oauth2ProxySignInResolvers2) => {
  oauth2ProxySignInResolvers2.forwardedUserMatchingUserEntityName = pluginAuthNode.createSignInResolverFactory({
    optionsSchema: zod.z.object({
      dangerouslyAllowSignInWithoutUserInCatalog: zod.z.boolean().optional()
    }).optional(),
    create(options = {}) {
      return async (info, ctx) => {
        const name = info.result.getHeader("x-forwarded-user");
        if (!name) {
          throw new Error("Request did not contain a user");
        }
        return ctx.signInWithCatalogUser(
          {
            entityRef: { name }
          },
          {
            dangerousEntityRefFallback: options?.dangerouslyAllowSignInWithoutUserInCatalog ? { entityRef: { name } } : void 0
          }
        );
      };
    }
  });
})(exports.oauth2ProxySignInResolvers || (exports.oauth2ProxySignInResolvers = {}));
//# sourceMappingURL=resolvers.cjs.js.map
